Subject: [Tools-discuss] [Barry Leiba] Re: [Editorial Errata Reported] RFC3207 (4442)

From: Daniel Kahn Gillmor <[email-masked]>
Date: Mon, 10 Aug 2015 15:08:44 -0400

hi IETF tools-ers--

I submitted the attached (rejected) erratum about RFC 3207, which has an
appendix that describes its changes from RFC 2487.  Since the RFC editor
believes that there is no problem with the text of the RFC, the only
problem is in the HTML-ization at
https://tools.ietf.org/html/rfc3207#page-8

Looks like the HTML links in that appendix should be adjusted to point
to the older document's sections instead of the sections of the current
document.

If this should be reported somewhere else, please let me know, i'm happy
to forward it.

Regards,

        --dkg

Subject: Re: [Editorial Errata Reported] RFC3207 (4442)
From: Barry Leiba <[email-masked]>
To: RFC Errata System <[email-masked]>
Cc: Paul Hoffman <[email-masked]>, IESG <[email-masked]>, Daniel Kahn Gillmor <[email-masked]>
Date: Mon, 10 Aug 2015 11:20:59 -0700

Daniel, the tools-based HTML rendering is not the definitive version,
and the errata system is not for recording problems with that version.
There's no error in http://www.rfc-editor.org/rfc/rfc3207.txt

I'm going to mark this report "Rejected".

Barry

On Mon, Aug 10, 2015 at 10:19 AM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC3207,
> "SMTP Service Extension for Secure SMTP over Transport Layer Security".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=3207&eid=4442
>
> --------------------------------------
> Type: Editorial
> Reported by: Daniel Kahn Gillmor <[email-masked]>
>
> Section: Appendix
>
> Original Text
> -------------
>    -  Section 5 and 7: More discussion of the man-in-the-middle attacks
>    -  Section 5: Additional discussion of when a server should and
>       should not advertise the STARTTLS extension
>    -  Section 5: Changed the requirements on SMTP clients after
>       receiving a 220 response.
>    -  Section 5.1: Clarified description of verifying certificates.
>    -  Section 5.3: Added the section on "STARTTLS on the Submission
>       Port"
>    -  Section 6: Bug fix in the example to indicate that the client
>       needs to issue a new EHLO command, as already is described in
>       section 5.2.
>    -  Section 7: Clarification of the paragraph on acceptable degree of
>       privacy. Significant change to the discussion of how to avoid a
>       man-in-the-middle attack.
>    -  Section A: Update reference from RFC 821 to RFC 2821.
>
>
> Corrected Text
> --------------
>    -  Section 4 and 6: More discussion of the man-in-the-middle attacks
>    -  Section 4: Additional discussion of when a server should and
>       should not advertise the STARTTLS extension
>    -  Section 4: Changed the requirements on SMTP clients after
>       receiving a 220 response.
>    -  Section 4.1: Clarified description of verifying certificates.
>    -  Section 4.3: Added the section on "STARTTLS on the Submission
>       Port"
>    -  Section 5: Bug fix in the example to indicate that the client
>       needs to issue a new EHLO command, as already is described in
>       section 4.2.
>    -  Section 5: Clarification of the paragraph on acceptable degree of
>       privacy. Significant change to the discussion of how to avoid a
>       man-in-the-middle attack.
>    -  Section 7: Update reference from RFC 821 to RFC 2821.
>
>
> Notes
> -----
> The appendix lists the changes as they apply to the sections of rfc 2487, but the links in https://tools.ietf.org/html/rfc3207#page-8 point back to the section numbers in RFC 3207.  Either the section numbers referred to should be RFC 3207 numbers (the correction i'm proposing here), or the links within the HTML version should point back to RFC 2487 instead.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC3207 (draft-hoffman-rfc2487bis-06)
> --------------------------------------
> Title               : SMTP Service Extension for Secure SMTP over Transport Layer Security
> Publication Date    : February 2002
> Author(s)           : P. Hoffman
> Category            : PROPOSED STANDARD
> Source              : Legacy
> Area                : Legacy
> Stream              : IETF
> Verifying Party     : IESG
>